On 10-05-18 04:28 PM, Xeno Campanoli / Eskimo North and Gmail wrote:

So, I installed rubycurl, that being the listed package of greatest maturity, 
but no document I can find can seem to help me use it.  Most of the stuff on 
line refers to curb or multi-curb it seems.

xc

> On 10-05-18 04:12 PM, James Harrison wrote:
>
> Thank you. That appears to have gotten me going...
>
>>>>>>
>>>>>> Two questions:
>>>>>>
>>>>>> 1. How do I install the curl library for Ruby? I thought there was
>>>>>> one...???
>>>>>> 2. How come when I go 'gem search curl' I get:
>>>>>>
>>>>>>> root@rockhopper:~# gem search curl
>>>>>>>
>>>>>>> *** LOCAL GEMS ***
>>>>>>>
>>>>>>>
>>>>>>> root@rockhopper:~#
>>>>>>
>>>>>> ???
>>
>>
>> gem search foo searches local gems. You want to search the remote gem
>> repository. So you need the -r flag:
>>
>> metatron:~ james$ gem search -r curl
>>
>> *** REMOTE GEMS ***
>>
>> ARBarlow-rubycurl (1.5.0)
>> arbarlow-rubycurl (1.7.3)
>> cjbottaro-curly_mustache (0.0.0)
>> curl-multi (0.2)
>> curly (0.0.3)
>> curly_mustache (0.1.0)
>> juozasg-curl-multi (0.2.1)
>> recurly (0.1.4)
>> rubycurl (1.7.3)
>> typhoeus_curly (0.1.14)
>> metatron:~ james$
>>
>>
>
>


-- 
"It's the preponderance, stupid!" - Professor Stephen Schneider, IPCC member